Index: /trunk/expressoAdmin1_2/inc/class.uimaillists.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.uimaillists.inc.php	(revision 283)
+++ /trunk/expressoAdmin1_2/inc/class.uimaillists.inc.php	(revision 309)
@@ -70,5 +70,5 @@
 			unset($GLOBALS['phpgw_info']['flags']['nonavbar']);
 			
-			$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['expressoAdmin1_2']['title'].' - '.lang('E-mail lists');
+			$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['expressoAdmin1_2']['title'].' - '.lang('Email Lists');
 			$GLOBALS['phpgw']->common->phpgw_header();
 
@@ -81,23 +81,20 @@
 			// Seta as variaveis padroes.
 			$var = Array(
-				'add_action'		=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoAdmin1_2.uimaillists.add_maillists'),
 				'th_bg'						=> $GLOBALS['phpgw_info']['theme']['th_bg'],
 				'back_url'					=> $GLOBALS['phpgw']->link('/expressoAdmin1_2/index.php'),
+				'add_action'				=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoAdmin1_2.uimaillists.add_maillists'),
 				'add_email_lists_disabled'	=> $this->functions->check_acl($manager_lid,'add_maillists') ? '' : 'disabled',
 				'context_display'			=> $context_display,
-
-				'lang_email_lists_uid'		=> lang('E-mail list names'),
-				'lang_email_lists_names'	=> lang('E-mail list descriptions'),
-				'lang_add_email_lists'		=> lang('Create e-mail list'),
+				'lang_email_lists_uid'		=> lang('Email Lists Logins'),
+				'lang_email_lists_names'	=> lang('Email Lists Names'),
+				'lang_add_email_lists'		=> lang('Add Email Lists'),
 				'lang_edit'  				=> lang('Edit'),
-				'lang_scl'  			=> lang('SCL'),
-				'lang_delete'			=> lang('Delete'),
+				'lang_scl'  				=> 'SCL',
+				'lang_delete'				=> 'Excluir',
 				'lang_view'					=> lang('View'),
-				'lang_back'			=> lang('Back'),
-				'lang_context'			=> lang('Context'),
+				'lang_back'					=> lang('back'),
+				'lang_context'				=> lang('context'),
 				'lang_email'				=> lang('E-mail'),
-				'lang_delete_list'		=> lang('Delete e-mail list?'),
-				'lang_delete_list_success'	=> lang('E-mail list successfully deleted!'),
-				'lang_search'			=> lang('Search')
+				'lang_search'				=> lang('search')
 			);
 			$p->set_var($var);
@@ -111,10 +108,11 @@
 				$maillists_info = $this->functions->get_list('maillists', $GLOBALS['query'], $manager_contexts);
 			}
-
-			if (!count($maillists_info) && $GLOBALS['query'] != '')
+			$total = count($maillists_info);
+
+			if (!count($total) && $GLOBALS['query'] != '')
 			{
 				$p->set_var('message',lang('No matches found'));
 			}
-			else if (count($maillists_info))
+			else if ($total)
 			{
 				if ($this->functions->check_acl($manager_lid,'edit_maillists'))
@@ -152,5 +150,5 @@
 					}
 
-					if ($can_edit_scl) 
+					if ( ($can_edit_scl) && ($this->current_config['expressoAdmin_scl']) )
 					{
 						$p->set_var('scl_link',$this->row_action('scl','maillists',$maillist['uidnumber'],$maillist['uid']));
@@ -163,5 +161,5 @@
 					if ($can_delete)
 					{
-						$p->set_var('delete_link',"<a href='#' onClick='javascript:delete_maillist(\"".$maillist['uid']."\",\"".$maillist['uidnumber']."\");'>".lang('Delete')."</a>");
+						$p->set_var('delete_link',"<a href='#' onClick='javascript:delete_maillist(\"".$maillist['uid']."\",\"".$maillist['uidnumber']."\");'>Excluir</a>");
 					}
 					else
@@ -192,5 +190,5 @@
 			unset($GLOBALS['phpgw_info']['flags']['noheader']);
 			unset($GLOBALS['phpgw_info']['flags']['nonavbar']);
-			$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['expressoAdmin1_2']['title'].' - '.lang('Create e-mail list');
+			$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['expressoAdmin1_2']['title'].' - '.lang('Create Email List');
 			$GLOBALS['phpgw']->common->phpgw_header();
 			
@@ -206,41 +204,29 @@
 			// Seta variaveis utilizadas pelo tpl.
 			$var = Array(
-				'back_url'		=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoAdmin1_2.uimaillists.list_maillists'),
 				'color_bg1'					=> "#E8F0F0",
 				'color_bg2'					=> "#D3DCE3",
 				'type'						=> 'create_maillist',
 				'ldap_context'				=> $GLOBALS['phpgw_info']['server']['ldap_context'],
+				'uid'						=> 'lista-',
 				'accountStatus_checked'		=> 'CHECKED',
 				'restrictionsOnEmailLists'	=> $this->current_config['expressoAdmin_restrictionsOnEmailLists'],
-				'combo_manager_org'                     	=> $combo_manager_org,
-				'combo_all_orgs'                        	=> $combo_all_orgs,
-				'defaultDomain'                         	=> $this->current_config['expressoAdmin_defaultDomain'],
-				'combo_org'					=> $sectors,
 				'lang_back'					=> lang('Back'),
-				'lang_save'					=> lang('Save'),
-				'lang_maillist_organization'			=> lang('E-mail list organization'),
-				'lang_search_organization'			=> lang('Search organization'),
+				'lang_save'					=> lang('save'),
+				'lang_maillist_organization'=> lang('Maillist Organization'),
+				'lang_search_organization'	=> lang('Search Organiztion'),
 				'lang_search_user'			=> lang('Search user'),
-				'lang_users'					=> lang('Users'),
 				'lang_organizations'		=> lang('Organizations'),
-				'lang_maillist_uid'				=> lang('E-mail list login'),
-				'lang_maillist_mail'				=> lang('E-mail list address'),
-				'lang_maillist_name'				=> lang('E-mail list name'),
-				'lang_maillist_users'				=> lang('E-mail list users'),
+				'lang_maillist_uid'			=> lang('Maillist login'),
+				'lang_maillist_mail'		=> lang('Maillist Mail'),
+				'lang_maillist_name'		=> lang('Maillist name'),
+				'lang_maillist_users'		=> lang('Maillist users'),
 				'lang_add_user'				=> lang('Add User'),
 				'lang_rem_user'				=> lang('Remove User'),
 				'lang_all_users'			=> lang('Show users from all sub-organizations'),
-				'login_field_has_spaces'        => lang('Login field has spaces'),
-				'list_email_field_is_empty'     		=> lang('E-mail list address field is empty'),
-				'lang_list_name_field_is_empty' 	  	=> lang('E-mail list name is empty'),
-				'no_user_is_part_of_the_list'   		=> lang('No user is member of the list!'),
-				'email_list_successfully_created'       	=> lang('E-mail list successfully created!'),
-				'field_email_is_invalid'   			=> lang('E-mail list address is invalid'),
-				'lang_email_list_empty' 			=> lang('The e-mail list is empty'),
-				'lang_hide_email_list' 				=> lang('Hide e-mail list'),
-				'it_is_not_possible_select_users' 		=> lang('It is impossible to create an e-mail list with all organization users'),
-				'login_field_incomplete'   			=> lang("The lists' name field  is incomplete. The lists' name must be in the following format: lista-organization-name. Ex: lista-celepar-rh")
+				'back_url'					=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoAdmin1_2.uimaillists.list_maillists'),
+				'combo_manager_org'			=> $combo_manager_org,
+				'combo_all_orgs'			=> $combo_all_orgs,
+				'defaultDomain'				=> $this->current_config['expressoAdmin_defaultDomain']
 			);
-
 			$p->set_var($var);
 			
@@ -267,5 +253,5 @@
 			unset($GLOBALS['phpgw_info']['flags']['noheader']);
 			unset($GLOBALS['phpgw_info']['flags']['nonavbar']);
-			$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['expressoAdmin1_2']['title'].' - '.lang('Edit e-mail list');
+			$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['expressoAdmin1_2']['title'].' - '.lang('Edit Email Lists');
 			$GLOBALS['phpgw']->common->phpgw_header();
 
@@ -309,13 +295,13 @@
 				if ($mail_not_found != '')
 				{
-					$opt_tmp_mail_not_found = '<option  value="-1" disabled>--------------------&nbsp;&nbsp;&nbsp;&nbsp;'.lang('E-mails not found').'&nbsp;&nbsp;&nbsp;&nbsp;------------------ </option>'."\n";
+					$opt_tmp_mail_not_found = '<option  value="-1" disabled>--------------------&nbsp;&nbsp;&nbsp;&nbsp;E-mails não encontrados&nbsp;&nbsp;&nbsp;&nbsp;------------------ </option>'."\n";
 					$ea_select_usersInMaillist .= $opt_tmp_mail_not_found . $mail_not_found;
 				}
 				if ($lists != '')
 				{
-					$opt_tmp_lists  = '<option  value="-1" disabled>------------------------------&nbsp;&nbsp;&nbsp;&nbsp;'.lang('Lists').'&nbsp;&nbsp;&nbsp;&nbsp;------------------------------ </option>'."\n";
+					$opt_tmp_lists  = '<option  value="-1" disabled>------------------------------&nbsp;&nbsp;&nbsp;&nbsp;Listas&nbsp;&nbsp;&nbsp;&nbsp;------------------------------ </option>'."\n";
 					$ea_select_usersInMaillist .= $opt_tmp_lists . $lists;
 				}
-				$opt_tmp_users  = '<option  value="-1" disabled>-----------------------------&nbsp;&nbsp;&nbsp;&nbsp;'.lang('Users').'&nbsp;&nbsp;&nbsp;&nbsp;---------------------------- </option>'."\n";
+				$opt_tmp_users  = '<option  value="-1" disabled>-----------------------------&nbsp;&nbsp;&nbsp;&nbsp;Usuários&nbsp;&nbsp;&nbsp;&nbsp;---------------------------- </option>'."\n";
 				$ea_select_usersInMaillist .= $opt_tmp_users . $users;
 			}
@@ -323,9 +309,22 @@
 			// Seta variaveis utilizadas pelo tpl.
 			$var = Array(
-				'back_url'		=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoAdmin1_2.uimaillists.list_maillists'),
 				'color_bg1'						=> "#E8F0F0",
 				'color_bg2'						=> "#D3DCE3",
 				'type'							=> 'edit_maillist',
 				'ldap_context'					=> $GLOBALS['phpgw_info']['server']['ldap_context'],
+				'lang_back'						=> lang('Back'),
+				'lang_save'						=> lang('save'),
+				'lang_maillist_organization'	=> lang('Maillist Organization'),
+				'lang_search_organization'		=> lang('Search Organiztion'),
+				'lang_search_user'				=> lang('Search user'),
+				'lang_organizations'			=> lang('Organizations'),
+				'lang_maillist_uid'				=> lang('Maillist login'),
+				'lang_maillist_mail'			=> lang('Maillist Mail'),
+				'lang_maillist_name'			=> lang('Maillist name'),
+				'lang_maillist_users'			=> lang('Maillist users'),
+				'lang_add_user'					=> lang('Add User'),
+				'lang_rem_user'					=> lang('Remove User'),
+				'lang_all_users'				=> lang('Select users from all sub-organizations'),
+				'back_url'						=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoAdmin1_2.uimaillists.list_maillists'),
 				'combo_manager_org'				=> $combo_manager_org,
 				'combo_all_orgs'				=> $combo_all_orgs,
@@ -338,24 +337,5 @@
 				'phpgwAccountVisible_checked'	=> $maillist_info['phpgwAccountVisible'] == '-1' ? 'CHECKED' : '',
 				'ea_select_usersInMaillist'		=> $ea_select_usersInMaillist,
-				'defaultDomain'			=> $this->current_config['expressoAdmin_defaultDomain'],
-				'restrictionsOnEmailLists'      => $this->current_config['expressoAdmin_restrictionsOnEmailLists'],	
-				'lang_back'			=> lang('Back'),
-				'lang_save'			=> lang('Save'),
-				'lang_maillist_organization'	=> lang('E-mail list organization'),
-				'lang_search_organization'	=> lang('Search organization'),
-				'lang_search_user'		=> lang('Search user'),
-				'lang_organizations'		=> lang('Organizations'),
-				'lang_maillist_uid'		=> lang('E-mail list login'),
-				'lang_maillist_mail'		=> lang('E-mail list address'),
-				'lang_maillist_name'		=> lang('E-mail list name'),
-				'lang_maillist_users'		=> lang('E-mail list users'),
-				'lang_users'                    => lang('Users'),
-				'lang_add_user'			=> lang('Add User'),
-				'lang_rem_user'			=> lang('Remove User'),
-                                'lang_email_list_empty'         => lang('The e-mail list is empty'),
-                                'lang_hide_email_list'          => lang('Hide e-mail list'),
-				'email_list_successfully_saved' => lang('E-mail list successfully saved!'),
-				'lang_all_users'		=> lang('Show users from all sub-organizations'),
-				'login_field_incomplete'        => lang("The lists' name field  is incomplete. The lists' name must be in the following format: lista-organization-name. Ex: lista-celepar-rh")				
+				'defaultDomain'					=> $this->current_config['expressoAdmin_defaultDomain']
 			);
 			$p->set_var($var);
@@ -383,5 +363,5 @@
 			unset($GLOBALS['phpgw_info']['flags']['noheader']);
 			unset($GLOBALS['phpgw_info']['flags']['nonavbar']);
-			$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['expressoAdmin1_2']['title'].' - '.lang('Edit sending control list');
+			$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['expressoAdmin1_2']['title'].' - '.lang('Edit Sending Control List');
 			$GLOBALS['phpgw']->common->phpgw_header();
 
@@ -416,4 +396,14 @@
 				'ldap_context'					=> $GLOBALS['phpgw_info']['server']['ldap_context'],
 				'dn'							=> $maillist_info['dn'],
+				'lang_back'						=> lang('Back'),
+				'lang_save'						=> lang('save'),
+				'lang_org'						=> lang('Organizations'),
+				'lang_maillist_uid'				=> lang('Maillist login'),
+				'lang_maillist_mail'			=> lang('Maillist Mail'),
+				'lang_maillist_name'			=> lang('Maillist name'),
+				'lang_maillist_users'			=> lang('Maillist users'),
+				'lang_add_user'					=> lang('Add User'),
+				'lang_rem_user'					=> lang('Remove User'),
+				'lang_all_users'				=> lang('Show users from all sub-organizations'),
 				'back_url'						=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoAdmin1_2.uimaillists.list_maillists'),
 				'combo_org'						=> $sectors,
@@ -423,24 +413,6 @@
 				'cn'							=> $maillist_info['cn'],
 				'accountRestrictive_checked'	=> $maillist_info['accountRestrictive'] == 'mailListRestriction' ? 'CHECKED' : '',
-				'participantCanSendMail_checked'		=> $maillist_info['participantCanSendMail'] == 'TRUE' ? 'CHECKED' : '',
-				'ea_select_users_SCL_Maillist'			=> $ea_select_users_SCL_Maillist,
-				'lang_back'					=> lang('Back'),
-				'lang_save'					=> lang('Save'),
-				'lang_org'					=> lang('Organizations'),
-				'lang_maillist_uid'				=> lang('E-mail list login'),
-				'lang_maillist_mail'				=> lang('E-mail list address'),
-				'lang_maillist_name'				=> lang('E-mail list name'),
-				'lang_maillist_users'				=> lang('E-mail list users'),
-				'lang_add_user'					=> lang('Add user'),
-				'lang_rem_user'					=> lang('Remove user'),
-				'lang_apply_scl'				=> lang('Apply send control to this list?'),
-				'lang_list_email'				=> lang('List e-mail'),
-				'lang_members_send'				=> lang('List members can send e-mail?'),
-				'lang_allowed_send_email'			=> lang('Users allowed to send e-mail to the list'),
-				'lang_organization'				=> lang('Organizations'),
-				'lang_search_user'				=> lang('Search user'),
-				'lang_users'					=> lang('Users'),
-				'sending_control_list_successfully_saved'       => lang('Sending control list sucessfully saved!'),
-				'lang_all_users'				=> lang('Show users from all sub-organizations')
+				'participantCanSendMail_checked'=> $maillist_info['participantCanSendMail'] == 'TRUE' ? 'CHECKED' : '',
+				'ea_select_users_SCL_Maillist'	=> $ea_select_users_SCL_Maillist
 			);
 			$p->set_var($var);
Index: /trunk/expressoAdmin1_2/inc/class.uilogs.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.uilogs.inc.php	(revision 283)
+++ /trunk/expressoAdmin1_2/inc/class.uilogs.inc.php	(revision 309)
@@ -113,11 +113,11 @@
 				'query_other'		=> $_POST['query_other'],
 				
-				'lang_manager_lid'	=> lang('Login'),
+				'lang_manager_lid'	=> lang('Manager Login'),
 				'lang_date'			=> lang('Date'),
 				'lang_hour'			=> lang('Hour'),
 				'lang_action'		=> lang('Action'),
-				'lang_view'		=> lang('View'),
-				'lang_back'		=> lang('Back'),
-				'lang_search'		=> lang('Search'),
+				'lang_view'			=> lang('view'),
+				'lang_back'			=> lang('back'),
+				'lang_search'		=> lang('search'),
 				'lang_action'		=> lang('Action'),
 				'lang_other'		=> lang('Other')
@@ -137,17 +137,12 @@
 					$this->nextmatchs->template_alternate_row_color($p);
 
-					$tmp = explode(" ", $log['date']);
-					$tmp_date = explode("-", $tmp[0]);
-					$date = $tmp_date[2] . '/' . $tmp_date[1] . '/' . $tmp_date[0];
-					$tmp_hour = explode(".", $tmp[1]);
-					$hour = $tmp_hour[0];
-
 					$var = array(
 						'row_manager_lid'	=> $log['manager'],
 						'row_action'		=> $log['action'],
-						'row_date' 		=> $date." ".$hour,
-						'row_view'  		=> $this->row_action('view','log',$log['date'])
+						'row_date' 			=> $log['date'],
+						//'row_view'  => (!$account['account_lastname']?'&nbsp':$account['account_lastname'])
 					);
 					$p->set_var($var);
+					$p->set_var('row_view',$this->row_action('view','log',$log['date']));
 					$p->parse('rows','row',True);
 				}
@@ -210,11 +205,11 @@
 				
 				'lang_back'			=> lang('Back'),
-				'lang_manager_lid'	=> lang('Login'),
+				'lang_manager_lid'	=> lang('Manager Login'),
 				'lang_date'			=> lang('Date'),
 				'lang_hour'			=> lang('Hour'),
 				'lang_action'		=> lang('Action'),
-				'lang_userinfo'		=> lang('User information'),
-				'lang_groupinfo'	=> lang('Group information'),
-				'lang_appinfo'		=> lang('Application information')				
+				'lang_userinfo'		=> lang('User Info'),
+				'lang_groupinfo'	=> lang('Group Info'),
+				'lang_appinfo'		=> lang('App Info')				
 			);
 			
Index: /trunk/expressoAdmin1_2/inc/class.totalsessions.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.totalsessions.inc.php	(revision 283)
+++ /trunk/expressoAdmin1_2/inc/class.totalsessions.inc.php	(revision 309)
@@ -36,5 +36,5 @@
 		function show_total_sessions()
 		{
-			$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['expressoAdmin1_2']['title'].' - '.lang('Total sessions');
+			$GLOBALS['phpgw_info']['flags']['app_header'] = 'ExpressoAdmin - '.lang('Total Sessions');
 			$GLOBALS['phpgw']->common->phpgw_header();
 			echo parse_navbar();
@@ -45,6 +45,6 @@
 			$total = $this->get_total_sessions();
 			
-			$this->template->set_var('lang_total', lang('Total sessions'));
-			$this->template->set_var('lang_back', lang('Back'));
+			$this->template->set_var('lang_total', lang('totalsessions'));
+			$this->template->set_var('lang_back', lang('back'));
 			$this->template->set_var('back_url', $GLOBALS['phpgw']->link('/expressoAdmin1_2/index.php'));
 			$this->template->set_var('total', $total);
Index: /trunk/expressoAdmin1_2/js/jscode/managers.js
===================================================================
--- /trunk/expressoAdmin1_2/js/jscode/managers.js	(revision 283)
+++ /trunk/expressoAdmin1_2/js/jscode/managers.js	(revision 309)
@@ -2,5 +2,5 @@
 function copy_manager(manager)
 {
-	var new_manager = prompt(document.getElementById('type_the_new_manager_login').value,"");
+	var new_manager = prompt("Digite o login do novo gerente:","");
 	
 	var handler_copy_manager = function(data)
@@ -9,5 +9,5 @@
 			location.reload();
 		else
-			alert(document.getElementById('error_at_copy_manager').value);
+			alert('Erro ao copiar gerente.');
 	}
 	cExecute ('$this.db_functions.copy_manager&manager='+manager+'&new_manager='+new_manager, handler_copy_manager);
@@ -100,7 +100,7 @@
 	{
 		if (data.type == 'create')
-			alert(document.getElementById('manager_created').value);
+			alert('Gerente criado com êxito');
 		else
-			alert(document.getElementById('manager_salved').value);
+			alert('Gerente salvo com êxito');
 	}
 	location.href="./index.php?menuaction=expressoAdmin1_2.uimanagers.list_managers";
Index: /trunk/expressoAdmin1_2/js/jscode/groups.js
===================================================================
--- /trunk/expressoAdmin1_2/js/jscode/groups.js	(revision 283)
+++ /trunk/expressoAdmin1_2/js/jscode/groups.js	(revision 309)
@@ -7,10 +7,10 @@
 	
 	if (document.forms[0].cn.value == ''){
-		alert(document.getElementById('group_name_field_is_empty').value);
+		alert('Campo NOME do grupo está vazio.');
 		return;
 	}
 		
 	if (document.forms[0].description.value == ''){
-		alert(document.getElementById('description_field_is_empty').value);
+		alert('Campo DESCRIÇÃO está vazio.');
 		return;
 	}
@@ -20,5 +20,9 @@
 		cn_tmp = document.forms[0].cn.value.split("-");
 		if ( (cn_tmp.length < 3) || ((cn_tmp[0] != 'grupo') && (cn_tmp[0] != 'smb')) ){
-		    	alert(document.getElementById('field_name_is_incomplete').value);
+			alert(
+				'O campo NOME do grupo está incompleto.\n' +
+				'O nome do grupo deve ser formado assim:\n' +
+				'grupo-ORGANIZACAO-NOME_DO_GRUPO.\n' +
+				'Ex: grupo-celepar-rh.');
 			return;
 		}
@@ -29,5 +33,5 @@
 	
 	if(!reCn.test(document.forms[0].cn.value)){
-		alert(document.getElementById('group_name_not_allowed').value);
+		alert('Campo NOME DO GRUPO comtém caracteres não permitidos.');
 		document.forms[0].cn.focus();
 		return;
@@ -35,5 +39,5 @@
 
 	if(!reDesc.test(document.forms[0].description.value)){
-		alert(document.getElementGroupById('description_field_not_allowed').value);
+		alert('Campo DESCRIÇÃO comtém caracteres não permitidos.');
 		document.forms[0].description.focus();
 		return;
@@ -41,7 +45,7 @@
 	
 	var reEmail = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
-	if ( (document.forms[0].email.value == '') || (!reEmail.test(document.forms[0].email.value)) )
-	{
-		alert(document.getElementById('field_email_is_invalid').value);
+	if ( (document.forms[0].email.value != '') && (!reEmail.test(document.forms[0].email.value)) )
+	{
+		alert("Campo E-mail não é válido.");
 		return false;
 	}
@@ -86,5 +90,5 @@
 		alert(data.msg);
 	else{
-		alert(document.getElementById('group_successfully_created').value);
+		alert('Grupo criado com êxito!');
 		location.href="./index.php?menuaction=expressoAdmin1_2.uigroups.list_groups";
 	}
@@ -103,5 +107,5 @@
 		alert(data.msg);
 	else{
-		alert(document.getElementById('group_successfully_saved').value);
+		alert('Grupo salvo com êxito!!');
 		location.href="./index.php?menuaction=expressoAdmin1_2.uigroups.list_groups";
 	}
@@ -152,5 +156,5 @@
 	if ((recursive) && (document.forms[0].ldap_context.value == document.getElementById('ea_combo_org_groups').value))
 	{
-		alert(document.getElementById('not_possible_select_all_users').value)
+		alert('Nao é possível selecionar todos os usuários da organização raiz.')
 		document.getElementById('ea_check_allUsers').checked = false;
 
@@ -266,5 +270,5 @@
 function delete_group(cn, gidnumber)
 {
-	if (confirm(document.getElementById('delete_group').value + " (" + cn + ")"))
+	if (confirm("Realmente deletar Grupo " + cn + " ??"))
 	{
 		var handler_delete_group = function(data)
@@ -273,5 +277,5 @@
 				alert(data.msg);
 			else
-				alert(document.getElementById('group_successfully_deleted').value);
+				alert('Grupo deletado com êxito!!');
 			
 			location.href="./index.php?menuaction=expressoAdmin1_2.uigroups.list_groups";
Index: /trunk/expressoAdmin1_2/js/jscode/maillists.js
===================================================================
--- /trunk/expressoAdmin1_2/js/jscode/maillists.js	(revision 283)
+++ /trunk/expressoAdmin1_2/js/jscode/maillists.js	(revision 309)
@@ -1,4 +1,4 @@
 countFiles = 0;
-function validate_fields(type, restrictionsOnEmailLists)
+function validate_fields(type)
 {
 	document.forms[0].uid.value = document.forms[0].uid.value.toLowerCase();
@@ -6,18 +6,22 @@
 	
 	if (document.forms[0].uid.value == ''){
-		alert(document.getElementById('login_field_has_spaces').value);
+		alert('Campo LOGIN da lista está vazio.');
 		return;
 	}
 
 	if (document.forms[0].cn.value == ''){
-		alert(document.getElementById('list_name_field_is_empty').value);
-		return;
-	}
-	
-	if (restrictionsOnEmailLists == 'true')
+		alert('Campo NOME da lista está vazio.');
+		return;
+	}
+	
+	if (document.forms[0].restrictionsOnEmailLists.value == 'true')
 	{
 		uid_tmp = document.forms[0].uid.value.split("-");
 		if ((uid_tmp.length < 3) || (uid_tmp[0] != 'lista')){
-			alert(document.getElementById('login_field_incomplete').value);
+			alert(
+				'O campo LOGIN da lista está incompleto.\n' +
+				'O nome da lista deve ser formado assim:\n' +
+				'lista-ORGANIZACAO-NOME_DA_LISTA.\n' +
+				'Ex: lista-celepar-rh.');
 			return;
 		}
@@ -25,5 +29,5 @@
 		
 	if (document.forms[0].uid.value.split(" ").length > 1){
-		alert(document.getElementById('login_field_has_spaces').value);
+		alert('Campo LOGIN comtém espaços.');
 		document.forms[0].uid.focus();
 		return;
@@ -31,5 +35,5 @@
 	
 	if (document.forms[0].mail.value == ''){
-		alert(document.getElementById('list_email_field_is_empty').value);
+		alert('Campo E-MAIL da lista está vazio.');
 		document.forms[0].mail.focus();
 		return;
@@ -37,5 +41,5 @@
 	var reEmail = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
 	if(!reEmail.test(document.forms[0].mail.value)){
-		alert(document.getElementById('field_email_is_invalid').value);
+		alert("Campo E-mail não é válido.");
 		return false;
 	}
@@ -43,5 +47,5 @@
 	select_userInMaillist = document.getElementById('ea_select_usersInMaillist');
 	if (select_userInMaillist.options.length == 0){
-		alert(document.getElementById('no_user_is_part_of_the_list').value);
+		alert('Nenhum usuário faz parte da lista.');
 		return;
 	}
@@ -91,5 +95,5 @@
 		alert(data.msg);
 	else{
-		alert(document.getElementById('email_list_successfully_created').value);
+		alert('Lista de emails criada com êxito!');
 		location.href="./index.php?menuaction=expressoAdmin1_2.uimaillists.list_maillists";
 	}
@@ -108,5 +112,5 @@
 		alert(data.msg);
 	else{
-		alert(document.getElementById('email_list_successfully_saved').value);
+		alert('Lista de emails salva com êxito!!');
 		location.href="./index.php?menuaction=expressoAdmin1_2.uimaillists.list_maillists";
 	}
@@ -133,5 +137,5 @@
 		alert(data.msg);
 	else
-		alert(document.getElementById('sending_control_list_successfully_saved').value);
+		alert('Sending Control List salva com êxito!!');
 	location.href="./index.php?menuaction=expressoAdmin1_2.uimaillists.list_maillists";
 	return;
@@ -181,5 +185,5 @@
 	if ((recursive) && (document.forms[0].ldap_context.value == document.getElementById('ea_combo_org_maillists').value))
 	{
-	    alert(document.getElementById('it_is_not_possible_select_users').value);
+		alert('Nao é possível selecionar todos os usuários da organização raiz.')
 		document.getElementById('ea_check_allUsers').checked = false;
 		
@@ -354,5 +358,5 @@
 function delete_maillist(uid, uidnumber)
 {
-	if (confirm(document.getElementById('delete_list').value + " (" +  uid + ")"))
+	if (confirm("Realmente deletar Lista " + uid + " ??"))
 	{
 		var handler_delete_maillist = function(data)
@@ -361,10 +365,10 @@
 				alert(data.msg);
 			else
-				alert(document.getElementById('email_list_successfully_deleted').value);
+				alert('Lista de email deletada com êxito!!');
 			
 			location.href="./index.php?menuaction=expressoAdmin1_2.uimaillists.list_maillists";
 			return;
 		}
-		cExecute('$this.maillist.delete&uidnumber='+uidnumber, handler_delete_maillist); 
+		cExecute ('$this.maillist.delete&uidnumber='+uidnumber, handler_delete_maillist);
 	}
 }
@@ -414,6 +418,2 @@
 	return ufn.substring(0,(ufn.length-1));
 }
-
-function dfg(){
-	alert('aaa');
-}
